# Uses of Interface
org.springframework.beans.PropertyValues

Packages that use PropertyValues
Package
Description
org.springframework.beans
This package contains interfaces and classes for manipulating Java beans.
org.springframework.beans.factory.annotation
Support package for annotation-driven bean configuration.
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of PropertyValues in org.springframework.beans

Classes in org.springframework.beans that implement PropertyValues
Modifier and Type
Class
Description
`class`
`MutablePropertyValues`
The default implementation of the `PropertyValues` interface.
Methods in org.springframework.beans that return PropertyValues
Modifier and Type
Method
Description
`PropertyValues`
MutablePropertyValues.`changesSince(PropertyValues old)`
`PropertyValues`
PropertyValues.`changesSince(PropertyValues old)`
Return the changes since the previous PropertyValues.
Methods in org.springframework.beans with parameters of type PropertyValues
Modifier and Type
Method
Description
`MutablePropertyValues`
MutablePropertyValues.`addPropertyValues(PropertyValues other)`
Copy all given PropertyValues into this object.
`PropertyValues`
MutablePropertyValues.`changesSince(PropertyValues old)`
`PropertyValues`
PropertyValues.`changesSince(PropertyValues old)`
Return the changes since the previous PropertyValues.
`void`
AbstractPropertyAccessor.`setPropertyValues(PropertyValues pvs)`
`void`
AbstractPropertyAccessor.`setPropertyValues(PropertyValues pvs, boolean ignoreUnknown)`
`void`
AbstractPropertyAccessor.`setPropertyValues(PropertyValues pvs, boolean ignoreUnknown, boolean ignoreInvalid)`
`void`
PropertyAccessor.`setPropertyValues(PropertyValues pvs)`
The preferred way to perform a batch update.
`void`
PropertyAccessor.`setPropertyValues(PropertyValues pvs, boolean ignoreUnknown)`
Perform a batch update with more control over behavior.
`void`
PropertyAccessor.`setPropertyValues(PropertyValues pvs, boolean ignoreUnknown, boolean ignoreInvalid)`
Perform a batch update with full control over behavior.
Constructors in org.springframework.beans with parameters of type PropertyValues
Modifier
Constructor
Description
``
`MutablePropertyValues(PropertyValues original)`
Deep copy constructor.

## Uses of PropertyValues in org.springframework.beans.factory.annotation

Methods in org.springframework.beans.factory.annotation that return PropertyValues
Modifier and Type
Method
Description
`PropertyValues`
AutowiredAnnotationBeanPostProcessor.`postProcessProperties(PropertyValues pvs, Object bean, String beanName)`
Methods in org.springframework.beans.factory.annotation with parameters of type PropertyValues
Modifier and Type
Method
Description
`protected boolean`
InjectionMetadata.InjectedElement.`checkPropertySkipping(PropertyValues pvs)`
Check whether this injector's property needs to be skipped due to an explicit property value having been specified.
`void`
InjectionMetadata.`clear(PropertyValues pvs)`
Clear property skipping for the contained elements.
`protected void`
InjectionMetadata.InjectedElement.`clearPropertySkipping(PropertyValues pvs)`
Clear property skipping for this element.
`Collection<InjectionMetadata.InjectedElement>`
InjectionMetadata.`getInjectedElements(PropertyValues pvs)`
Return the `elements` to inject based on the specified `PropertyValues`.
`void`
InjectionMetadata.`inject(Object target, String beanName, PropertyValues pvs)`
`protected void`
InjectionMetadata.InjectedElement.`inject(Object target, String requestingBeanName, PropertyValues pvs)`
Either this or `InjectionMetadata.InjectedElement.getResourceToInject(java.lang.Object, java.lang.String)` needs to be overridden.
`PropertyValues`
AutowiredAnnotationBeanPostProcessor.`postProcessProperties(PropertyValues pvs, Object bean, String beanName)`
`protected boolean`
InjectionMetadata.InjectedElement.`shouldInject(PropertyValues pvs)`
Whether the property values should be injected.

## Uses of PropertyValues in org.springframework.beans.factory.config

Methods in org.springframework.beans.factory.config that return PropertyValues
Modifier and Type
Method
Description
`default PropertyValues`
InstantiationAwareBeanPostProcessor.`postProcessProperties(PropertyValues pvs, Object bean, String beanName)`
Post-process the given property values before the factory applies them to the given bean.
Methods in org.springframework.beans.factory.config with parameters of type PropertyValues
Modifier and Type
Method
Description
`default PropertyValues`
InstantiationAwareBeanPostProcessor.`postProcessProperties(PropertyValues pvs, Object bean, String beanName)`
Post-process the given property values before the factory applies them to the given bean.

## Uses of PropertyValues in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support with parameters of type PropertyValues
Modifier and Type
Method
Description
`protected void`
AbstractAutowireCapableBeanFactory.`applyPropertyValues(String beanName, BeanDefinition mbd, BeanWrapper bw, PropertyValues pvs)`
Apply the given property values, resolving any runtime references to other beans in this bean factory.
`protected void`
AbstractAutowireCapableBeanFactory.`checkDependencies(String beanName, AbstractBeanDefinition mbd, PropertyDescriptor[] pds, PropertyValues pvs)`
Perform a dependency check that all properties exposed have been set, if desired.